<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.alkemytech.sophia</groupId>
	<artifactId>sophia-recognizer</artifactId>
	<version>1.1.0</version>
	<name>sophia-recognizer</name>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<version.java>1.8</version.java>
		<version.gson>2.8.0</version.gson>
		<version.giuce>4.1.0</version.giuce>
		<version.commons-lang>2.6</version.commons-lang>
		<version.commons-csv>1.5</version.commons-csv>
		<version.commons-dbcp2>2.1.1</version.commons-dbcp2>
		<version.commons-collections>3.2.2</version.commons-collections>
		<version.slf4j>1.7.24</version.slf4j>
		<version.log4j>2.9.1</version.log4j> 
		<version.lucene>7.1.0</version.lucene> 
		<version.berkeley-db>5.0.73</version.berkeley-db>	
		<version.icu4j>59.1</version.icu4j>
		<version.aws>1.11.136</version.aws>
		<version.mysql>5.1.38</version.mysql>
	</properties>
	<dependencies>
		<!-- local -->
		<dependency>
			<groupId>com.alkemytech.sophia</groupId>
			<artifactId>sophia-commons</artifactId>
			<version>LATEST</version>
		</dependency>
		<!-- maven central -->
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>${version.commons-lang}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-csv</artifactId>
			<version>${version.commons-csv}</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.commons</groupId>
		    <artifactId>commons-dbcp2</artifactId>
			<version>${version.commons-dbcp2}</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>${version.commons-collections}</version>
		</dependency>		
		<dependency>
		    <groupId>org.apache.lucene</groupId>
		    <artifactId>lucene-core</artifactId>
			<version>${version.lucene}</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.lucene</groupId>
		    <artifactId>lucene-analyzers-common</artifactId>
			<version>${version.lucene}</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.lucene</groupId>
		    <artifactId>lucene-queryparser</artifactId>
			<version>${version.lucene}</version>
		</dependency>
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>${version.gson}</version>
			<scope>compile</scope>
		</dependency>
        <dependency>
			<groupId>com.google.inject</groupId>
			<artifactId>guice</artifactId>
			<version>${version.giuce}</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${version.slf4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
   			<artifactId>log4j-slf4j-impl</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
		    <groupId>com.sleepycat</groupId>
		    <artifactId>je</artifactId>
			<version>${version.berkeley-db}</version>
		</dependency>
		<dependency>
		    <groupId>com.ibm.icu</groupId>
		    <artifactId>icu4j</artifactId>
		    <version>${version.icu4j}</version>
		</dependency>
<!-- 
		<dependency>
			<groupId>com.amazonaws</groupId>
			<artifactId>aws-java-sdk</artifactId>
		    <version>${version.aws}</version>
		</dependency>
 -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		    <version>${version.mysql}</version>
		</dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.16</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>
	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.0</version>
				<configuration>
					<source>${version.java}</source>
					<target>${version.java}</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-dependency-plugin</artifactId>
				<executions>
					<execution>
						<phase>install</phase>
						<goals>
							<goal>copy-dependencies</goal>
						</goals>
						<configuration>
							<outputDirectory>${project.build.directory}/lib</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>